/* .entry-content{
	h1, h2, h3, h4, h5, h6, p, cite, .wp-block-button__link, .wp-block-list li, .downloads a, .better_share_buttons_wrapper, .wp-block-post-date{
		opacity: 0;
	}
} */

/* hero cover */
/* .entry-content > .wp-block-cover{
	overflow: hidden;

	h1, h2, h3, h4, p{
		will-change: transform, opacity, filter;
		transform-style: preserve-3d;
		opacity: 0;
	}

	h1, h2, h3, h4{
		perspective: 1000px;

		.word{
			transform-style: preserve-3d;
		}
	}
} */

/* other covers */
/* .entry-content .row .wp-block-cover:not(:has(h1,h2,h3,h4)){
	overflow: hidden;
	-webkit-clip-path: inset(clamp(32px, 4.1667vw, 80px));
	clip-path: inset(clamp(32px, 4.1667vw, 80px));

	.wp-block-cover__image-background{
		opacity: .0001;
		transform: scale(1.2);
		will-change: opacity, transform;
		transition: opacity .85s linear, transform 2.85s cubic-bezier(.77, 0, .175, 1);
	}

	&.in-viewport{
		-webkit-clip-path: inset(0);
		clip-path: inset(0);
		transition: -webkit-clip-path 1.85s cubic-bezier(.77, 0, .175, 1);
		transition: clip-path 1.85s cubic-bezier(.77, 0, .175, 1);
		transition: clip-path 1.85s cubic-bezier(.77, 0, .175, 1), -webkit-clip-path 1.85s cubic-bezier(.77, 0, .175, 1);

		.wp-block-cover__image-background{
			opacity: 1;
			transform: scale(1);
		}
	}
} */

/* sticky footer */
main{
	position: relative;
	z-index: 2;
	background: var(--bs-body-bg);
}
footer{
	position: -webkit-sticky;
	position: sticky;
	bottom: 0;
	z-index: 1;
}

/* button icon and text */
/* .is-style-red > .wp-block-button__link:not(.animation-done){
	overflow: hidden;
	transition: none !important;
	transform: scaleX(0);
	will-change: transform;
	--tree-scale-x: 1.5;
	--tree-scale-y: 0.0;

	&::before{
		transition: none !important;
		transform: scaleX( var(--tree-scale-x) ) scaleY( var(--tree-scale-y) );
		transform-origin: center bottom;
	}

	.btn-text{
		display: inline-flex;
	}

	.char{
		display: inline-block;
		will-change: transform, opacity;
	}
} */

#menu-backdrop{
	pointer-events: none;
	position: fixed;
	z-index: 9;
	inset: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,.4);
	opacity: 0;
}

/* menus links */
/* flex-direction: column must be align-items: flex-start */
@media (hover: hover){
	:is( .is-style-menu, .is-style-socials, .wpml-custom-wrapper ):not(.has-white-color) ul a.nav-link{
		overflow: hidden;
		background: linear-gradient(135deg, var(--wp--preset--color--farbe-2), var(--wp--preset--color--farbe-2) 50%, var(--wp--preset--color--farbe-1) 50%);
		background-clip: text;
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
		background-size: 300% 100%;
		background-position: 100%;
		transition: background-position .5s ease;

		&.active,
		&:hover{
			background-position: 0 100%;
		}
	}
	:is( .is-style-socials ):not(.has-white-color) ul a.nav-link,
	body:is( .scrolled.scrolling-up, :not(.home) ) :is( .is-style-menu, .is-style-topmenu ) ul a.nav-link{
		background-image: linear-gradient(135deg, var(--wp--preset--color--farbe-2), var(--wp--preset--color--farbe-2) 50%, var(--wp--preset--color--farbe-1) 50%);
	}
}

/* fancy links underlines */
.is-style-links-wo-underline a{
	position: relative;

	&::before{
		content: '';
		position: absolute;
		bottom: 0;
		left: 0;
		width: 100%;
		height: 1px;
		background-color: currentColor;
		transform-origin: right;
		transition: transform 0.5s cubic-bezier(0.62, 0.05, 0.01, 0.99);
		transform: scaleX(0);
	}
	&:hover{
		text-decoration: none !important;

		&::before{
			transform-origin: left;
			transform: scaleX(1);
		}
	}
}

/* @view-transition{
	navigation: auto;
} */